> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request Email Change



## OpenAPI

````yaml /openapi.json post /v1/auth/email-change
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/auth/email-change:
    post:
      tags:
        - Auth
      summary: Request Email Change
      operationId: AuthController_requestEmailChange_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestEmailChangeDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountResponseDto'
components:
  schemas:
    RequestEmailChangeDto:
      type: object
      properties:
        newEmail:
          type: string
        password:
          type: string
          minLength: 1
          maxLength: 64
        googleCredential:
          type: string
          minLength: 1
      required:
        - newEmail
      additionalProperties: false
    AccountResponseDto:
      type: object
      properties:
        phone:
          type: string
          nullable: true
        pendingEmail:
          type: string
          nullable: true
        hasPassword:
          type: boolean
        googleLinked:
          type: boolean
        id:
          type: string
        email:
          type: string
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        status:
          enum:
            - active
            - inactive
            - deactivated
          type: string
        avatar:
          type: string
          nullable: true
      required:
        - phone
        - pendingEmail
        - hasPassword
        - googleLinked
        - id
        - email
        - firstName
        - lastName
        - status
        - avatar

````